Subject: Re: Can't build doc anymore (v1.7.3.2)

From: Francis Moreau <[email-masked]>
Date: Tue, 23 Nov 2010 17:36:42 +0100

Michael J Gruber <[email-masked]> writes:

[...]

>> I recommend re-installing the docbook-dtds package alone and in
>> isolation from other Yum/RPM transactions. If the xmlcatalog file is
>> correctly regenerated AND the docbook files are there AND you have
>> (re)run ./configure prior to running make AND you don't have filesystem
>
> Don't do that unless you're using configure for git usually. I don't
> think Francis is, he's setting make variables.
>

I won't, I just call make with some variables set.

>> errors THEN you should have a successful build. (Barring something that
>> crawls up out of the rabbit hole--other than a rabbit.)
>> 
>> Fix the most obvious possible problems first before seeking
>> off-the-beaten-path solutions or worse blaming somebody.
>> 
>
> ???
>
> catalog sent to Francis off-list, which closes this topic for me.

Not really I'm afraid...

  xmlto -m manpage-normal.xsl --skip-validation man git-diff-index.xml
  I/O error : Attempt to load network entity http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd
  /home/fmoreau/git/Documentation/git-diff-index.xml:2: warning: failed to load external entity "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd"
  D DocBook XML V4.5//EN" "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd"

This is with your catalog.

-- 
Francis